export declare class Question {
    private question;
    private answers;
    private points;
    constructor(question: string, answers: Answer[], points?: number);
    static fromJson(obj: any): Question;
    toJson(): any;
    setQuestion(question: string): void;
    setPoints(points: number): void;
    setAnswers(answers: Answer[]): void;
    getQuestion(): string;
    getAnswers(): Answer[];
    getPoints(): number;
}
export interface Answer {
    title: string;
    correct: boolean;
}
