"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Question = /** @class */ (function () {
    function Question(question, answers, points) {
        /* fields */
        this.question = '';
        this.answers = [];
        this.points = 0;
        this.question = question;
        this.answers = answers;
        if (points)
            this.points = points;
    }
    /* from JSON */
    Question.fromJson = function (obj) {
        return new Question(obj.question, obj.answers, obj.hasOwnProperty('points') ? obj.points : null);
    };
    /* to JSON */
    Question.prototype.toJson = function () {
        var question = {};
        question.question = this.getQuestion();
        question.answers = this.answers;
        question.points = this.points ? question.points : 0;
        return question;
    };
    /* setters */
    Question.prototype.setQuestion = function (question) { this.question = question; };
    Question.prototype.setPoints = function (points) { this.points = points; };
    Question.prototype.setAnswers = function (answers) { this.answers = answers; };
    /* getters */
    Question.prototype.getQuestion = function () { return this.question; };
    Question.prototype.getAnswers = function () { return this.answers; };
    Question.prototype.getPoints = function () { return this.points; };
    return Question;
}());
exports.Question = Question;
