"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var question_class_1 = require("./question.class");
var _ = require("lodash");
var Quiz = /** @class */ (function () {
    function Quiz(id, title, questions) {
        /* fields */
        this.id = '';
        this.title = '';
        this.questions = [];
        this.id = id;
        this.title = title;
        this.questions = questions;
    }
    /* setters */
    Quiz.prototype.setId = function (id) { this.id = id; };
    Quiz.prototype.setTitle = function (title) { this.title = title; };
    Quiz.prototype.setQuestions = function (questions) { this.questions = questions; };
    /* getters */
    Quiz.prototype.getId = function () { return this.id; };
    Quiz.prototype.getTitle = function () { return this.title; };
    Quiz.prototype.getQuestions = function () { return this.questions; };
    /* from JSON */
    Quiz.fromJson = function (obj) {
        var questions = _.chain(obj.questions).values().map(question_class_1.Question.fromJson).value();
        return new Quiz(obj.id, obj.title, obj.questions = questions);
    };
    /* to JSON */
    Quiz.prototype.toJson = function () {
        var quizJSON = {
            id: this.id,
            title: this.title,
            questions: _.chain(this.questions).values().map(function (q) { q.toJson(); }).value()
        };
        return quizJSON;
    };
    return Quiz;
}());
exports.Quiz = Quiz;
