"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// import 'rxjs/add/operator/map';
var _ = require("lodash");
var quiz_class_1 = require("../../classes/quiz.class");
var quiz_data_1 = require("../../mock/quiz.data");
var rxjs_1 = require("rxjs");
var QuizProvider = /** @class */ (function () {
    function QuizProvider() {
        this.data = [];
        this.dataBind = new rxjs_1.BehaviorSubject([]);
    }
    /* retrieve quizes */
    QuizProvider.prototype.retrieve = function () {
        var _this = this;
        var payload = {};
        var promise = new Promise(function (resolve, reject) {
            /* deserialize responce */
            var quizArray = _.map(quiz_data_1.quizes, function (q) { return quiz_class_1.Quiz.fromJson(q); });
            /* set state and update behaviorSubject */
            _this.setState(quizArray);
            /* resolve data */
            resolve(_this.data);
            // this.apiProvider.api('GET', `/v1/quiz`, payload)
            //   .then((response: any) => {
            //     this.coupons = _.map((_.values(response)), Quiz.fromJson);
            //     console.log(this.data);
            //     resolve(this.data);
            //   }, (err) => { // catch error
            //     // @todo: We should check for errors
            //     reject(err);
            //   });
        });
        return promise;
    };
    QuizProvider.prototype.setState = function (quizes) {
        this.data = quizes;
        this.dataBind.next(this.data);
    };
    return QuizProvider;
}());
exports.QuizProvider = QuizProvider;
